Subject: [Sigtran] V5UA RFC 3807: Stream Mapping: Possibly Unhandled Scenario

From: Saurabh Jain <[email-masked]>
Date: Tue, 24 Oct 2006 16:28:14 +0530

Hi,

In the mail below, i have discussed a possibly unhandled scenario in Stream Mapping in V5UA, and a corresponding solution

Please comment...

IUA RFC 4233 (Section 1.5.1 Mapping) states that

“The SG maps an Interface Identifier to an SCTP association/stream only when an ASP sends an ASP Active message for a particular Interface Identifier”

This statement would be applicable to V5UA as well.

However, V5UA RFC is strict about use of separate streams (based on C-channel, EFA etc). (Refer to RFC 3807, Section 3. SCTP Stream Management)

Thus whenever SG receives ASP Active for a particular Interface Identifies, it needs to map it to corresponding SCTP out streams. However, there is a possibility that when SG receives this ASP Active Message, it does not have enough SCTP level streams available, (which can be allocated for C-Channels of this Interface ID). At this point there is no mechanism for SG to indicate this error condition to ASP.

If this interpretation is correct, then to take care of this scenario, a possible solution could be:

Introduction of a new error code in the Error (ERR) message in V5UA,

something like Insufficient Resources 0x1d (or probably greater)

Which would be sent by an SG, if an ASP sends an ASP Active and the request is refused as SG does not have sufficient resources.

NOTE: After receiving this Error Message, corrective action at ASP will have to be to re-establish the SCTP association with sufficient number of in/out streams.

rgds

Saurabh

*********************** FSS-Private ***********************

"DISCLAIMER: This message is proprietary to Flextronics Software

Systems Limited (FSS) and is intended solely for the use of the

individual to whom it is addressed. It may contain privileged or

confidential information and should not be circulated or used for

any purpose other than for what it is intended. If you have received

this message in error, please notify the originator immediately.

If you are not the intended recipient, you are notified that you are

strictly prohibited from using, copying, altering, or disclosing

the contents of this message. FSS accepts no responsibility for

loss or damage arising from the use of the information transmitted

by this email including damage from virus."

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 24 Oct 2006 10:24:40 -0600

Saurabh,

Two streams are sufficient.  When mapping to a data stream in any UA,
the mapping is distributed over the available data streams.  In the
case of two streams, all control messages are mapped to stream 0 and
all data messages are mapped to the same stream 1.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/